# Download Binary File

Use this endpoint to download binary files. For example: Address Object DLLs for the latest engine improvements.

After successful submission, you will be redirected to an automatic file download.

Endpoint: GET /Download/Library/{os}/{compiler}/{architecture}/{release}/{filename}

## Query parameters:

  - `id` (any, required)
    The License Key issued by Melissa.
    Example: "{REPLACE-WITH-YOUR-LICENSE-KEY}"

## Path parameters:

  - `os` (string, required)
    Describes the target OS. Used for object binaries and language interface binaries.
- AIX - AIX PowerPC
- ANY - Any OS
- HPUX_IT - HP-UX ia64
- HPUX_PA - HP-UX RISC
- LINUX - Linux Redhat
- SOLARIS - Solaris Sparc
- WINDOWS - Windows
- ZLINUX - IBM zLinux
    Enum: "AIX", "ANY", "HPUX_IT", "HPUX_PA", "LINUX", "SOLARIS", "WINDOWS", "ZLINUX"

  - `compiler` (string, required)
    Describes the target compiler.
- ACC3 - HP-UX native compiler
- ANY - Any compiler
- C - C/C++
- COM - Windows COM DLL
- DLL - Windows standard DLL
- GCC32 - gcc v3.2 (Linux)
- GCC34 - gcc v3.4 (AIX, HP-UX, Linux)
- GCC41 - gcc v4.1 (Linux)
- GCC46 - gcc v4.6 (zLinux)
- GCC48 - gcc v4.8 (Linux)
- GCC83 - gcc v8.3 (AIX)
- JAVA - Java
- MSSQL - SQL Server T-SQL
- NET - .NET
- PERL - Perl
- PHP - PHP (legacy, prior to v7)
- PHP7 - PHP v7
- PLSQL - Oracle PL/SQL
- PYTHON - Python
- RUBY - Ruby
- SSIS2005 - SSIS 2005 component
- SSIS2008 - SSIS 2008 component
- SSIS2012 - SSIS 2012 component
- SSIS2014 - SSIS 2014 component
- SSIS2016 - SSIS 2016 component
- SSIS2017 - SSIS 2017 component
- SSIS2019 - SSIS 2019 component
- SSIS2022 - SSIS 2022 component
- WINDOWS - Windows
- WS12 - Solaris native compiler
- WS6 - Solaris native compiler
- XLC12 - AIX native compiler
- XLC6 - AIX native compiler
    Enum: "ACC3", "ANY", "C", "COM", "DLL", "GCC32", "GCC34", "GCC41", "GCC46", "GCC48", "GCC83", "JAVA", "MSSQL", "NET", "PERL", "PHP", "PHP7", "PLSQL", "PYTHON", "RUBY", "SSIS2005", "SSIS2008", "SSIS2012", "SSIS2014", "SSIS2016", "SSIS2017", "SSIS2019", "SSIS2022", "WINDOWS", "WS12", "WS6", "XLC12", "XLC6"

  - `architecture` (string, required)
    Describes the target architecture (ie, 'bitness'). Used for object binaries and language interface binaries on certain OS platforms.
    Enum: "32BIT", "64BIT", "ANY"

  - `release` (string, required)
    Specific Release. This can be specified in several ways.
- YYYY.MM OR YYYY-MM  - (year, month)
- YYYY.QQ - (year, quarter)
- [metaReleaseName] - Release Name, for example: latest
    Example: "LATEST"

  - `filename` (string, required)
    Name of File.
    Example: "MelissaUpdater.exe"

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


